/* contact page */
.contact {
  text-align: center;
  color: #fff;
  margin: 10em auto 15em;
}

.contact__title {
  font-size: 3rem;
  letter-spacing: -0.05em;
  line-height: 1;
}

.contact__description {
  font-size: 1.5rem;
  margin: 1.5em 0 3em;
}

.contact__options {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  gap: 1.5em;
  font-size: 1.4rem;
}
.contact__email {
  display: block;
  border: solid 1px rgba(0, 0, 0, 0.2);
  border-radius: 1000px;
  background: rgba(0, 0, 0, 0.7);
  padding: 1em 2em;
  text-align: center;
  transition: all 0.3s;
}

.contact__phone {
  display: block;
  border: solid 1px rgba(0, 0, 0, 0.2);
  border-radius: 1000px;
  background: rgba(0, 0, 0, 0.7);
  padding: 1em 2em;
  text-align: center;
  transition: all 0.3s;
}

/* transitions */
a.contact__email:hover {
  background: rgba(255, 255, 255, 0.3);
  border: solid #fff 1px;
  transform: scale(1.05);
}

a.contact__phone:hover {
  background: rgba(255, 255, 255, 0.3);
  border: solid #fff 1px;
  transform: scale(1.05);
}

/* media queries */
@media (max-width: 640px) {
  .contact__title {
    font-size: 2.5rem;
  }

  .contact__description {
    font-size: 1.3rem;
    margin: 1.3em 0;
  }

  .contact__email {
    font-size: 1.1rem;
  }

  .contact__phone {
    font-size: 1.1rem;
  }
}

@media (max-width: 475px) {
  .contact {
    margin: 8em auto 17em;
  }
  .contact__title {
    font-size: 2.3rem;
  }

  .contact__description {
    font-size: 1.1rem;
    margin: 1.3em 0;
  }

  .contact__email {
    font-size: 1rem;
  }

  .contact__phone {
    font-size: 1rem;
  }
}
